[workspace]
authors = ["Atle Rimehaug <atle.rimehaug@gmail.com>"]
channels = ["conda-forge"]
name = "essentialtools-wshop"
platforms = ["linux-64", "win-64", "osx-64", "osx-arm64"]
version = "0.1.0"

[activation.env]
KERNEL_NAME = "essentialtools-wshop"

[tasks]
install-kernel = "python -m ipykernel install --user --name $KERNEL_NAME"

[dependencies]
python = ">=3.12,<3.13"
numpy = ">=1.26,<3.0"
matplotlib = ">=3.10.3,<4"
ipywidgets = ">=8.1.7,<9"
git = "*"

[pypi-dependencies]
ipykernel = ">=6.29.5,<7"